Get assessment history for a relationship
curl --request GET \
--url https://app.visotrust.com/api/v1/relationship/{id}/assessmentsimport requests
url = "https://app.visotrust.com/api/v1/relationship/{id}/assessments"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://app.visotrust.com/api/v1/relationship/{id}/assessments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 123,
"sentBy": {
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"businessUnit": "<string>"
},
"requestedArtifactCollection": true,
"status": "NOT_ASSESSED",
"sentToEmail": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"summary": "<string>",
"expirationDate": "2023-11-07T05:31:56Z",
"completedDate": "2023-11-07T05:31:56Z",
"requestedAuditTypes": [
"<string>"
],
"aiProcessingOnly": true,
"noVendorResponseAction": "CLOSE_COLLECTION_REQUEST",
"collectionTimeline": "SEVEN_DAYS",
"followupTimeline": "SEVEN_DAYS",
"followupRiskThreshold": "NO_CONTEXT",
"followupType": "MANUAL",
"statusHistories": [
{
"date": "2023-11-07T05:31:56Z",
"status": "NOT_ASSESSED"
}
],
"createdReason": "INITIAL_ASSESSMENT",
"assessmentType": "<string>",
"sentToFirstName": "<string>",
"sentToLastName": "<string>",
"recommendations": [
{
"description": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"recommendationType": "EXPIRED"
}
],
"updatedDate": "2023-11-07T05:31:56Z",
"phaseDate": "2023-11-07T05:31:56Z"
}
]Relationships
Get assessment history for a relationship
GET
/
api
/
v1
/
relationship
/
{id}
/
assessments
Get assessment history for a relationship
Path Parameters
Response
200 - application/json
OK
Show child attributes
Show child attributes
Available options:
NOT_ASSESSED, AWAITING_REMEDIATION, STARTED, REVIEW_STARTED, AUDIT_COMPLETED, COMPLETED, CANCELLED, DELETED, COLLECTING_INFORMATION, EXPIRED Available options:
CLOSE_COLLECTION_REQUEST, NOTIFY_ME Available options:
SEVEN_DAYS, FOURTEEN_DAYS, THIRTY_DAYS, SIXTY_DAYS, NINETY_DAYS, ONE_HUNDRED_TWENTY_DAYS Available options:
SEVEN_DAYS, FOURTEEN_DAYS, THIRTY_DAYS, SIXTY_DAYS, NINETY_DAYS Available options:
NO_CONTEXT, LOW, MEDIUM, HIGH, EXTREME Available options:
MANUAL, AUTOMATIC, CONCIERGE Show child attributes
Show child attributes
Available options:
INITIAL_ASSESSMENT, ARTIFACTS_EXPIRED, RECERTIFICATION_INITIATED, BUSINESS_CASE_OR_DATA_TYPES_CHANGED, THIRD_PARTY_CONTACT_UPDATED, ARTIFACTS_UPLOADED_ON_RELATIONSHIP, REMEDIATION, RISK_ADVISORY_RESPONSE, INSTANT_ANALYSIS, PUBLIC_SEARCH Show child attributes
Show child attributes